summaryrefslogtreecommitdiffstats
path: root/source/d/distcc
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2013-11-04 17:08:47 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:57:36 +0200
commit76fc4757ac91ac7947a01fb7b53dddf9a78a01d1 (patch)
tree9b98e6e193c7870cb27ac861394c1c4592850922 /source/d/distcc
parent9664bee729d487bcc0a0bc35859f8e13d5421c75 (diff)
downloadcurrent-76fc4757ac91ac7947a01fb7b53dddf9a78a01d1.tar.gz
current-76fc4757ac91ac7947a01fb7b53dddf9a78a01d1.tar.xz
Slackware 14.1slackware-14.1
Mon Nov 4 17:08:47 UTC 2013 Slackware 14.1 x86_64 stable is released! It's been another interesting release cycle here at Slackware bringing new features like support for UEFI machines, updated compilers and development tools, the switch from MySQL to MariaDB, and many more improvements throughout the system. Thanks to the team, the upstream developers, the dedicated Slackware community, and everyone else who pitched in to help make this release a reality. The ISOs are off to be replicated, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. Please consider supporting the Slackware project by picking up a copy from store.slackware.com. We're taking pre-orders now, and offer a discount if you sign up for a subscription. Have fun! :-)
Diffstat (limited to 'source/d/distcc')
-rwxr-xr-xsource/d/distcc/distcc.SlackBuild17
-rw-r--r--source/d/distcc/doinst.sh15
2 files changed, 27 insertions, 5 deletions
diff --git a/source/d/distcc/distcc.SlackBuild b/source/d/distcc/distcc.SlackBuild
index c432cddb7..99a9a5dbc 100755
--- a/source/d/distcc/distcc.SlackBuild
+++ b/source/d/distcc/distcc.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2013 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,8 +21,8 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=2.18.3
-BUILD=${BUILD:-2}
+VERSION=3.1
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -45,7 +45,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf distcc-$VERSION
-tar xvf $CWD/distcc-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/distcc-$VERSION.tar.xz || exit 1
cd distcc-$VERSION || exit 1
chown -R root:root .
find . \
@@ -60,7 +60,9 @@ find . \
--sysconfdir=/etc \
--with-gtk \
--without-gnome \
- $ARCH-slackware-linux
+ --without-avahi \
+ --disable-Werror \
+ --target=$ARCH-slackware-linux
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG docdir=/usr/doc/distcc-$VERSION || exit 1
@@ -71,6 +73,10 @@ mkdir -p $PKG/usr/share/applications
ln -sf /usr/share/distcc/distccmon-gnome.desktop .
)
+for file in $PKG/etc/distcc/* ; do
+ mv $file ${file}.new
+done
+
gzip -9 $PKG/usr/man/man?/*
# Restore original timestamps on the doc files:
@@ -88,6 +94,7 @@ find $PKG | xargs file | grep -e "executable" -e "shared object" \
| grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
mkdir -p $PKG/install
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
cat $CWD/slack-desc > $PKG/install/slack-desc
# Build the package:
diff --git a/source/d/distcc/doinst.sh b/source/d/distcc/doinst.sh
new file mode 100644
index 000000000..ea4085810
--- /dev/null
+++ b/source/d/distcc/doinst.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+config() {
+ NEW="$1"
+ OLD="`dirname $NEW`/`basename $NEW .new`"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+config etc/distcc/clients.allow.new
+config etc/distcc/commands.allow.sh.new
+config etc/distcc/hosts.new